CLASS TEMP(3)

NAME
boost::date_time::ostream_date_formatter - Convert a date to string using format policies.

SYNOPSIS

// In header: <boost/date_time/date_formatting_locales.hpp>
template<typename date_type, typename facet_type, typename charT = char>
class ostream_date_formatter {
public:
  // types
  typedef std::basic_ostream< charT > ostream_type;
  typedef date_type::ymd_type         ymd_type;
  // public static functions
  static void date_put(const date_type &, ostream_type &, const facet_type &);
  static void date_put(const date_type &, ostream_type &);
};

DESCRIPTION

  ostream_date_formatter public static functions

    1.

    static void date_put(const date_type & d, ostream_type & os,
                         const facet_type & f);
    Put date into an ostream. .RE

        2.

        static void date_put(const date_type & d, ostream_type & os);
        Put date into an ostream. .RE